# Configuration file

client_settings {
    # If false, the clock will not be displayed when a player lies in bed.
    B:showClockInBed=true
}


custom_night_detection {
    # If true, manual night start time will be used instead of vanilla skylight check.
    B:customStartEnabled=false

    # Specify the tick time that night starts for the sake of sleeping being permitted.
    # Default vanilla value of 12516 is about 18:31 (refer to 'Day-night_cycle' on Gamepedia wiki).
    # Note that this only works for setting later time - allowing daytime sleep is done via CMC config.
    I:customStartValue=12516
}


restrictions {
    # If true, players can sleep during the day and will NOT be automatically woken-up either.
    B:allowSleepDuringDay=false

    # Horizontal radius to scan for hostile mobs. Set to 0 to disable safety check completely.
    D:safetyCheckXZ=8.0

    # Vertical distance to scan for hostile mobs (both up and down). Set to 0 to disable safety check completely.
    D:safetyCheckY=5.0

    # REQUIRES CMC. If true, unlocks sleeping ability in any dimension (e.g. Nether).
    # Note #1: Respawn point will not be reset - you always respawn in your overworld spawn point.
    # Note #2: Other dimensions have their own idea about night-time, e.g. Nether is always night.
    B:sleepAnywhere=false
}


sleep_vote {
    # The action to perform once actionTimeout has elapsed (assuming the sleeping player percentage has been maintained).
    #     NONE: Take no action, just show the reminder.
    #     TIMELAPSE_ANYWAY: Continue with Timelapse - awake players have to deal with it. Default.
    #     CMC_KICK_AWAKE: Requires CMC (otherwise skip-to-day will occur after kick). Kick awake players, then continue with Timelapse.
    #     SKIP_TO_DAY: Skip to the next day (fallback to vanilla Minecraft behavior).
    # Valid values:
    # NONE
    # TIMELAPSE_ANYWAY
    # CMC_KICK_AWAKE
    # SKIP_TO_DAY
    S:action=TIMELAPSE_ANYWAY

    # Once the percentage of sleeping players is reached, wait this many seconds before performing the configured vote action.
    # Note that if the sleeping player percentage drops below the configured minimum, the timeout action is cancelled.
    I:actionTimeout=60

    # Text displayed when all players are asleep.
    S:allAsleepText=All players are asleep: Advancing time!

    # Text to display to players when an active or pending vote action is cancelled for whatever reason.
    # (COUNT) will be replaced with (e.g.) '2/3' to display currently-sleeping/total players.
    S:cancelledText=Time progression cancelled/finished ((COUNT) players sleeping).

    # Text to display to players (The 'Reason' on the Disconnected screen) when they're kicked as the result of a
    # vote. Note that due to a Minecraft bug, sometimes a generic reason may still show instead.
    S:kickText=Automatic kick from sleep vote timeout.

    # Minimum percent of players required before sleep vote reminders (and actions, if any) can occur.
    # Min: 0
    # Max: 100
    I:percent=40

    # Text that will be periodically displayed to other players when the configured percent has been reached.
    # (COUNT) will be replaced with (e.g.) '2/3' to display currently-sleeping/total players.
    # (TIMEOUT) will be replaced with remaining time before sleep action is performed.
    S:reminderText=(COUNT) players are trying to sleep. Time progression will start in (TIMEOUT) seconds.

    # How many seconds at a time to display a reminder to players.
    I:reminderTextDisplayTime=4

    # How many seconds between successive reminder displays.
    I:reminderTextRepeatTime=20

    # Text displayed when vote action has passed.
    S:votePassedText=Vote action passed: Advancing time!
}


timelapse_mode {
    # Maximum tickrate for Timelapse.
    # Note that Tickrate Changer will throttle back tickrate as necessary to avoid total CPU saturation.
    D:rate=1200.0
}


